package main

import "github.com/ollama/ollama/api"

type WebModel struct {
	Conversation []WebMessage
}

type WebMessage struct {
	Id      int
	Replace bool
	New     bool
	Content string
}

func ConvertMessage(message api.Message, id int) WebMessage {
	return WebMessage{
		Id:      id,
		Content: message.Content,
	}
}

func (wm *WebModel) AddMessage(message api.Message, id int) {
	wm.Conversation = append(wm.Conversation, ConvertMessage(message, id))
}

func (wm *WebModel) AddMessages(messages []api.Message) {
	for id, message := range messages {
		wm.AddMessage(message, id)
	}
}
